Subject: bug#67141: 30.0.50; Missing element in the backtrace

From: Andrea Corallo <[email-masked]>
Date: Mon, 20 Nov 2023 10:13:47 -0500

Stefan Monnier <[email-masked]> writes:

>>> With ea7a52dbaed I added eval to 'native-comp-never-optimize-functions'
>>> so this should fix the reported issue,
>
> Thanks.
>
>>> for mapcar I think we should prove it has really no performance
>>> impact before deciding to include it as well.
>
> Agreed.  It occurred to me that there are several places where we use
> `mapcar` with a lists that's usually empty, and hence where the funcall
> overhead is not necessarily negligible.
>
>> Should this bug be closed now?
>
> AFAIK the sample backtrace is only one among many others and the fact
> that the missing element in the backtrace happened to be using `eval` is
> circumstantial, so the addition of `eval` to
> `native-comp-never-optimize-functions` just circumvents the problem for
> `eval` but not for all the other C primitives we call directly.
>
> IOW no, I don't think it fixes the bug :-(

If you want then I think we should consider this bug not only native
comp related, as I explained we have this issue since long time in other
circumstances.

  Andrea